<?php

namespace Ana\Boxes\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BoxTransformer extends TransformerAbstract
{
    public function transform(\Ana\Boxes\Models\Box $box)
    {
        return [
            'id'                => $box->getRouteKey(),
            'key'               => [
                'public'    => $box->getPublicKey(),
                'route'     => $box->getRouteKey(),
            ], 
            
            'url'               => [
                'public'    => trans_url('boxes/'.$box->getPublicKey()),
                'user'      => guard_url('boxes/box/'.$box->getRouteKey()),
            ], 
            'status'            => trans('app.'.$box->status),
            'created_at'        => format_date($box->created_at),
            'updated_at'        => format_date($box->updated_at),
        ];
    }
}